Summary:	Configuration editor for dconf
Summary(pl.UTF-8):	Edytor konfiguracji dla dconf
Name:		dconf-editor
Version:	45.0.1
Release:	1
License:	GPL v3+
Group:		X11/Applications
Source0:	https://download.gnome.org/sources/dconf-editor/45/%{name}-%{version}.tar.xz
# Source0-md5:	82b2f5d396e95757ad7eaf89c82decd6
URL:		https://wiki.gnome.org/Projects/dconf
BuildRequires:	dconf-devel >= 0.26.1
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.56.0
BuildRequires:	gtk+3-devel >= 3.22.27
BuildRequires:	libhandy1-devel >= 1.6
BuildRequires:	meson >= 0.59.0
BuildRequires:	ninja >= 1.5
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.752
BuildRequires:	tar >= 1:1.22
BuildRequires:	vala >= 2:0.40.0
BuildRequires:	vala-dconf >= 0.26.1
BuildRequires:	vala-libhandy1 >= 1.6
BuildRequires:	xz
Requires(post,postun):	glib2 >= 1:2.56.0
Requires(post,postun):	gtk-update-icon-cache
Requires:	dconf >= 0.26.1
Requires:	glib2 >= 1:2.56.0
Requires:	gtk+3 >= 3.22.27
Requires:	hicolor-icon-theme
Requires:	libhandy1 >= 1.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
dconf-editor allows you to browse and modify dconf database.

%description -l pl.UTF-8
dconf-editor pozwala na przeglądanie i modyfikowanie bazy dconf.

%package -n bash-completion-dconf-editor
Summary:	bash-completion for dconf-editor
Summary(pl.UTF-8):	Bashowe uzupełnianie nazw dla narzędzia dconf-editor
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	bash-completion >= 1:2.0
BuildArch:	noarch

%description -n bash-completion-dconf-editor
bash-completion for dconf-editor..

%description -n bash-completion-dconf-editor -l pl.UTF-8
Bashowe uzupełnianie nazw dla narzędzia dconf-editor.

%prep
%setup -q

%build
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang dconf-editor

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%update_icon_cache hicolor

%postun
%glib_compile_schemas
%update_icon_cache hicolor

%files -f dconf-editor.lang
%defattr(644,root,root,755)
%doc NEWS README.md
%attr(755,root,root) %{_bindir}/dconf-editor
%{_datadir}/dbus-1/services/ca.desrt.dconf-editor.service
%{_datadir}/glib-2.0/schemas/ca.desrt.dconf-editor.gschema.xml
%{_datadir}/metainfo/ca.desrt.dconf-editor.appdata.xml
%{_desktopdir}/ca.desrt.dconf-editor.desktop
%{_iconsdir}/hicolor/scalable/actions/ca.desrt.dconf-editor*-symbolic.svg
%{_iconsdir}/hicolor/scalable/apps/ca.desrt.dconf-editor.svg
%{_iconsdir}/hicolor/scalable/apps/ca.desrt.dconf-editor.Devel.svg
%{_iconsdir}/hicolor/symbolic/apps/ca.desrt.dconf-editor-symbolic.svg
%{_mandir}/man1/dconf-editor.1*

%files -n bash-completion-dconf-editor
%defattr(644,root,root,755)
%{bash_compdir}/dconf-editor
%changelog
* Sat Oct 28 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dconf-editor.git;a=log;h=master

* Sat Oct 28 2023 Jakub Bogusz <qboosh@pld-linux.org> 7ec23e9
- updated to 45.0.1

* Thu Sep 22 2022 Jakub Bogusz <qboosh@pld-linux.org> 385dde9
- requires handy 1.x now

* Wed Sep 21 2022 Jakub Bogusz <qboosh@pld-linux.org> ada2dba
- updated to 43.0

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> a69f34e
- rebuild with separate debuginfo build-ids

* Sat Mar 27 2021 Jakub Bogusz <qboosh@pld-linux.org> 493f4ca
- rpm version for noarch subpackage

* Thu Mar 25 2021 Jan Palus <atler@pld-linux.org> f624f88
- up to 3.38.3

* Sun Mar 07 2021 Jan Rękorajski <baggins@pld-linux.org> 4ed33f0
- unconditional noarch subpackages

* Sun Nov 22 2020 Jakub Bogusz <qboosh@pld-linux.org> 7f7555f
- updated to 3.38.2

* Sun Sep 13 2020 Jakub Bogusz <qboosh@pld-linux.org> 943d059
- updated to 3.38.0

* Mon Jul 06 2020 Jakub Bogusz <qboosh@pld-linux.org> c2763a8
- updated to 3.36.4

* Mon Apr 27 2020 Jan Palus <atler@pld-linux.org> 5d01d0c
- up to 3.36.2

* Thu Mar 12 2020 Jan Palus <atler@pld-linux.org> 4a4f7d3
- up to 3.36.0

* Tue Feb 18 2020 Jan Palus <atler@pld-linux.org> 8427d99
- up to 3.34.4

* Wed Jan 08 2020 Jakub Bogusz <qboosh@pld-linux.org> 8a4e911
- updated to 3.34.3

* Tue Oct 08 2019 Jan Palus <atler@pld-linux.org> 03aaaa6
- up to 3.34.2

* Fri Sep 13 2019 Jakub Bogusz <qboosh@pld-linux.org> de7369b
- updated dependencies, unified Source0 URL

* Tue Sep 10 2019 Jan Palus <atler@pld-linux.org> ec6f0d1
- up to 3.34.1

* Thu Mar 14 2019 Jan Palus <atler@pld-linux.org> 45569b9
- up to 3.32.0

* Mon Oct 01 2018 Jan Palus <atler@pld-linux.org> e1dfb8d
- up to 3.30.2

* Tue Mar 27 2018 Marcin Banasiak <marcin.banasiak@gmail.com> bdd323b
- Update to 3.28.0

